Subject: bug#49261: 28.0.50; File Locking Breaks Presumptuous Toolchains

From: Eli Zaretskii <[email-masked]>
Date: Tue, 13 Jul 2021 19:41:05 +0300

> From: Lars Ingebrigtsen <[email-masked]>
> Cc: [email-masked],  [email-masked],  [email-masked]
> Date: Tue, 13 Jul 2021 18:30:58 +0200
> 
> But I do think allowing people to inhibit locks/auto save files on a
> path name basis is good functionality in general, Tramp no Tramp.

What would a lock-file-name-transforms look like that inhibits file
locking?

And apart of remote file names, what other practical use cases can you
think of where disabling locking selectively based on the file name
would make sense?